SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- f
- m
- p
- r
- t

### - f -

- FifoLv1Byte : serial_ex_api.h
- FifoLvFull : serial_ex_api.h
- FifoLvHalf : serial_ex_api.h
- FifoLvQuarter : serial_ex_api.h
- FlowControlCTS : serial_api.h
- FlowControlNone : serial_api.h
- FlowControlRTS : serial_api.h
- FlowControlRTSCTS : serial_api.h

### - m -

- MBED_SPI0 : spi_api.h
- MBED_SPI1 : spi_api.h

### - p -

- ParityEven : serial_api.h
- ParityForced0 : serial_api.h
- ParityForced1 : serial_api.h
- ParityNone : serial_api.h
- ParityOdd : serial_api.h

### - r -

- RTW_802_11_BAND_2_4GHZ : wifi_constants.h
- RTW_802_11_BAND_5GHZ : wifi_constants.h
- RTW_ACM_NOTSUPPORTED : wifi_constants.h
- RTW_AP_INTERFACE : wifi_constants.h
- RTW_ASSOCIATED : wifi_constants.h
- RTW_BAD_VERSION : wifi_constants.h
- RTW_BADADDR : wifi_constants.h
- RTW_BADARG : wifi_constants.h
- RTW_BADBAND : wifi_constants.h
- RTW_BADCHAN : wifi_constants.h
- RTW_BADKEYIDX : wifi_constants.h
- RTW_BADLEN : wifi_constants.h
- RTW_BADOPTION : wifi_constants.h
- RTW_BADRATESET : wifi_constants.h
- RTW_BADSSIDLEN : wifi_constants.h
- RTW_BSS_TYPE_ADHOC : wifi_constants.h
- RTW_BSS_TYPE_ANY : wifi_constants.h
- RTW_BSS_TYPE_INFRASTRUCTURE : wifi_constants.h
- RTW_BSS_TYPE_UNKNOWN : wifi_constants.h
- RTW_BUFFER_UNAVAILABLE_PERMANENT : wifi_constants.h
- RTW_BUFFER_UNAVAILABLE_TEMPORARY : wifi_constants.h
- RTW_BUFTOOLONG : wifi_constants.h
- RTW_BUFTOOSHORT : wifi_constants.h
- RTW_BUSY : wifi_constants.h
- RTW_CONNECTION_LOST : wifi_constants.h
- RTW_DISABLED : wifi_constants.h
- RTW_DOES_NOT_EXIST : wifi_constants.h
- RTW_EPERM : wifi_constants.h
- RTW_ERROR : wifi_constants.h
- RTW_INVALID_KEY : wifi_constants.h
- RTW_IOCTL_FAIL : wifi_constants.h
- RTW_NEGATIVE_MATCHING : wifi_constants.h
- RTW_NOCLK : wifi_constants.h
- RTW_NODEVICE : wifi_constants.h
- RTW_NOMEM : wifi_constants.h
- RTW_NONRESIDENT : wifi_constants.h
- RTW_NORESOURCE : wifi_constants.h
- RTW_NOT_AUTHENTICATED : wifi_constants.h
- RTW_NOT_KEYED : wifi_constants.h
- RTW_NOT_WME_ASSOCIATION : wifi_constants.h
- RTW_NOTAP : wifi_constants.h
- RTW_NOTASSOCIATED : wifi_constants.h
- RTW_NOTBANDLOCKED : wifi_constants.h
- RTW_NOTDOWN : wifi_constants.h
- RTW_NOTFOUND : wifi_constants.h
- RTW_NOTREADY : wifi_constants.h
- RTW_NOTSTA : wifi_constants.h
- RTW_NOTUP : wifi_constants.h
- RTW_OUTOFRANGECHAN : wifi_constants.h
- RTW_PARTIAL_RESULTS : wifi_constants.h
- RTW_PENDING : wifi_constants.h
- RTW_POSITIVE_MATCHING : wifi_constants.h
- RTW_PROMISC_DISABLE : wifi_constants.h
- RTW_PROMISC_ENABLE : wifi_constants.h
- RTW_PROMISC_ENABLE_1 : wifi_constants.h
- RTW_PROMISC_ENABLE_2 : wifi_constants.h
- RTW_PROMISC_ENABLE_3 : wifi_constants.h
- RTW_RADIOOFF : wifi_constants.h
- RTW_RANGE : wifi_constants.h
- RTW_RXFAIL : wifi_constants.h
- RTW_SCAN_TYPE_ACTIVE : wifi_constants.h
- RTW_SCAN_TYPE_PASSIVE : wifi_constants.h
- RTW_SCAN_TYPE_PROHIBITED_CHANNELS : wifi_constants.h
- RTW_SDIO_ERROR : wifi_constants.h
- RTW_SECURITY_FORCE_32_BIT : wifi_constants.h
- RTW_SECURITY_OPEN : wifi_constants.h
- RTW_SECURITY_UNKNOWN : wifi_constants.h
- RTW_SECURITY_WEP_PSK : wifi_constants.h
- RTW_SECURITY_WEP_SHARED : wifi_constants.h
- RTW_SECURITY_WPA2_AES_PSK : wifi_constants.h
- RTW_SECURITY_WPA2_MIXED_PSK : wifi_constants.h
- RTW_SECURITY_WPA2_TKIP_PSK : wifi_constants.h
- RTW_SECURITY_WPA_AES_PSK : wifi_constants.h
- RTW_SECURITY_WPA_TKIP_PSK : wifi_constants.h
- RTW_SECURITY_WPA_WPA2_MIXED : wifi_constants.h
- RTW_SECURITY_WPS_OPEN : wifi_constants.h
- RTW_SECURITY_WPS_SECURE : wifi_constants.h
- RTW_STA_INTERFACE : wifi_constants.h
- RTW_SUCCESS : wifi_constants.h
- RTW_TIMEOUT : wifi_constants.h
- RTW_TSPEC_NOTFOUND : wifi_constants.h
- RTW_TXFAIL : wifi_constants.h
- RTW_UNFINISHED : wifi_constants.h
- RTW_UNSUPPORTED : wifi_constants.h
- RTW_WLAN_DOWN : wifi_constants.h
- RTW_WME_NOT_ENABLED : wifi_constants.h
- RTW_WPS_PBC_OVERLAP : wifi_constants.h
- RxIrq : serial_api.h

### - t -

- TxIrq : serial_api.h